FDISK(8)

NUME
fdisk - afișează sau manipulează un tabel de partiții de disc

REZUMAT

fdisk [opțiuni] dispozitiv

fdisk -l [dispozitiv...]

DESCRIERE

fdisk este un program bazat pe dialoguri-ghidate pentru crearea și manipularea tabelelor de partiții. Înțelege tabelele de partiții GPT, MBR, Sun, SGI și BSD.

Dispozitivele bloc pot fi împărțite în unul sau mai multe discuri logice numite partiții. Această împărțire este înregistrată în tabelul de partiții, care se găsește de obicei în sectorul 0 al discului. (În lumea BSD se vorbește despre „disk slices” (felii, tranșe de disc) și despre „disklabel” (etichetă de disc)).

Toate partiționările sunt determinate în mod implicit de limitele In/Ieș ale dispozitivului (topologia). fdisk este capabil să optimizeze configurația discului pentru o dimensiune a sectorului 4K și să utilizeze un decalaj de aliniere pe dispozitivele moderne pentru MBR și GPT. Este întotdeauna o idee bună să urmați valorile implicite ale fdisk, deoarece valorile implicite (de exemplu, primul și ultimul sector de partiție) și dimensiunile partițiilor specificate prin notația de tip +/-<dimensiunea>{M,G,...} sunt întotdeauna aliniate în funcție de proprietățile dispozitivului.

Adresarea CHS (Cylinder-Head-Sector) este depreciată și nu este utilizată în mod implicit. Vă rugăm să nu urmați articolele și recomandările vechi cu sfatul fdisk -S <n> -H <n> pentru dispozitive SSD sau dispozitive cu sectoare 4K.

Rețineți că partx(8) oferă o interfață bogată pentru scripturi pentru a afișa structura discurilor, fdisk este conceput în principal pentru oameni. Nu este garantată compatibilitatea retroactivă în ceea ce privește ieșirea lui fdisk. Intrarea (comenzile) trebuie să fie întotdeauna retro-compatibilă.

OPȚIUNI

-b, --sector-size dimensiune-sector
    Specifică dimensiunea sectorului discului. Valorile valabile sunt 512, 1024, 2048 și 4096. Nucleul este conștient de dimensiunea sectorului pentru dispozitivele cu blocuri obișnuite. Utilizați această opțiune numai pe nuclee foarte vechi, atunci când lucrați cu imagini de disc sau pentru a modifica dimensiunea de sector implicită a nucleului. Începând cu util-linux-2.17, fdisk face diferența între dimensiunea sectorului logic și fizic. Această opțiune schimbă ambele dimensiuni de sector în dimensiune-sector.

-B, --protect-boot
    Nu șterge începutul primului sector al discului atunci când se creează o nouă etichetă de disc. Această caracteristică este acceptată pentru GPT și MBR.

-c, --compatibility[=mod]
    Specifică modul de compatibilitate, „dos” sau „nondos”. Modul implicit este „non-DOS”. Pentru compatibilitate retroactivă, este posibil să se utilizeze opțiunea fără argumentul mod — atunci se utilizează valoarea implicită. Rețineți că argumentul opțional mod nu poate fi separat de opțiunea -c printr-un spațiu, forma corectă fiind, de exemplu, -c=dos.

-L, --color[=când]
    Colorează ieșirea. Argumentul opțional când poate fi auto, never (niciodată) sau always (întotdeauna). În cazul în care argumentul când este omis, valoarea implicită este auto. Culorile pot fi dezactivate; pentru valoarea implicită încorporată curentă, consultați ieșirea --help. A se vedea, de asemenea, secțiunea CULORI de mai jos.

-l, --list
    Listează tabelele de partiții pentru dispozitivele specificate și apoi iese.

    Dacă nu se indică niciun dispozitiv, se utilizează dispozitivele menționate în /proc/partitions (dacă acest fișier există). Dispozitivele sunt întotdeauna listate în ordinea în care sunt specificate în linia de comandă sau de către nucleu în lista din /proc/partitions.

-x, --list-details
    La fel ca --list, dar oferă mai multe detalii.

--lock[=mod]
    Utilizează o blocare BSD exclusivă pentru dispozitivul sau fișierul pe care îl operează. Argumentul opțional mod poate fi yes, no (sau 1 și 0) sau nonblock. Dacă argumentul mod este omis, valoarea implicită este yes. Această opțiune suprascrie variabila de mediu $LOCK_BLOCK_DEVICE. Valoarea implicită este de a nu utiliza nicio blocare, dar este recomandată pentru a evita coliziunile cu systemd-udevd(8) sau cu alte instrumente.

-n, --noauto-pt
    Nu creează automat un tabel de partiții implicit pe un dispozitiv gol. Tabelul de partiții trebuie să fie creat în mod explicit de către utilizator (prin comenzi precum „o”, „g” etc.).

-o, --output listă
    Specifică ce coloane de ieșire se vor imprima. Utilizați --help pentru a obține o listă cu toate coloanele acceptate.

    Lista implicită de coloane poate fi extinsă dacă lista este specificată în formatul +listă (de exemplu, -o +UUID).

-s, --getsz
    Afișează dimensiunea în sectoare de 512 octeți a fiecărui dispozitiv de bloc dat. Această opțiune este DEPRECIATĂ în favoarea blockdev(8).

-t, --type tip
    Activează suportul numai pentru etichetele de disc de tipul specificat și dezactivează suportul pentru toate celelalte tipuri.

-u, --units[=unitatea]
    La listarea tabelelor de partiții, afișează dimensiunile în „sectoare” sau în „cilindri”. Valoarea implicită este de a afișa dimensiunile în sectoare. Pentru compatibilitate cu sistemele anterioare, este posibil să se utilizeze opțiunea fără argumentul unitatea - în acest caz se utilizează valoarea implicită. Rețineți că argumentul opțional unitatea nu poate fi separat de opțiunea -u printr-un spațiu; forma corectă este, de exemplu, „-u=cilindri”.

-C, --cylinders număr
    Specifică numărul de cilindri ai discului. „Nu am nicio idee de ce ar vrea cineva să facă acest lucru!”, spune autorul acestei aplicații.

-H, --heads număr
    Specifică numărul de capete ale discului. (Nu numărul fizic, bineînțeles, ci numărul utilizat pentru tabelele de partiții). Valorile rezonabile sunt 255 și 16.

-S, --sectors număr
    Specifică numărul de sectoare pe fiecare pistă a discului. (Nu numărul fizic, bineînțeles, ci numărul utilizat pentru tabelele de partiții). O valoare rezonabilă este 63.

-w, --wipe când
    Șterge semnăturile sistemului de fișiere, RAID și ale tabelelor de partiții de pe dispozitiv, pentru a evita posibilele coliziuni. Argumentul când poate fi auto, never (niciodată) sau always (întotdeauna). Dacă această opțiune nu este furnizată, valoarea implicită este auto, caz în care semnăturile sunt șterse numai în modul interactiv. În toate cazurile, semnăturile detectate sunt raportate prin mesaje de avertizare înainte de a fi creat un nou tabel de partiții. A se vedea, de asemenea, comanda wipefs(8).

-W, --wipe-partitions când
    Șterge semnăturile sistemului de fișiere, RAID și din partițiile nou create ale tabelului de partiții, pentru a evita posibilele coliziuni. Argumentul când poate fi auto, never (niciodată) sau always (întotdeauna). Dacă această opțiune nu este furnizată, valoarea implicită este auto, caz în care semnăturile sunt șterse numai în modul interactiv și după confirmarea utilizatorului. În toate cazurile, semnăturile detectate sunt raportate prin mesaje de avertizare înainte de a fi creată o nouă partiție. A se vedea, de asemenea, comanda wipefs(8).

-h, --help
    Afișează acest mesaj de ajutor și iese.

-V, --version
    Afișează versiunea și iese.

DISPOZITIVE

dispozitivul este de obicei /dev/sda, /dev/sdb sau ceva similar. Un nume de dispozitiv se referă la întregul disc. Sistemele vechi fără „libata” (o bibliotecă utilizată în interiorul nucleului Linux pentru a susține controlorii și dispozitivele gazdă ATA) fac diferența între discurile IDE și SCSI. În astfel de cazuri, numele dispozitivului va fi /dev/hd* (IDE) sau /dev/sd* (SCSI).

partiția este un nume de dispozitiv urmat de un număr de partiție. De exemplu, /dev/sda1 este prima partiție de pe primul disc dur din sistem. Consultați, de asemenea, documentația nucleului Linux (fișierul Documentation/admin-guide/devices.txt).

DIMENSIUNI

Caseta de dialog "ultimul sector" acceptă dimensiunea partiției specificată prin numărul de sectoare sau prin notația +/-<dimensiune>{K,B,M,G,...}.

În cazul în care dimensiunea este precedată de „+”, aceasta este interpretată ca fiind relativă la primul sector al partiției. În cazul în care dimensiunea este precedată de „-”, aceasta este interpretată ca fiind relativă la limita superioară (ultimul sector disponibil pentru partiție).

În cazul în care dimensiunea este specificată în octeți, numărul poate fi urmat de sufixele multiplicative KiB (1024 octeți), MiB (1024*1024 octeți), și așa mai departe pentru GiB, TiB, PiB, EiB, ZiB și YiB. „iB” este opțional, de exemplu, „K” are aceeași semnificație ca și „KiB”.

Dimensiunile relative, dacă sunt specificate cu sufixe multiplicative (de exemplu, +100MiB), sunt întotdeauna aliniate în conformitate cu limitele de In/Ieș ale dispozitivului. Se recomandă notația +/-<dimensiune>{K,B,M,G,...}.

Ultimul sector al partiției este calculat strict ca <start> + <dimensiune> (fără -1) dacă dimensiunea este specificată prin notația +<sectoare>. În acest caz, dimensiunea nu este aliniată la limitele de I/O ale dispozitivului.

Pentru compatibilitate retroactivă, fdisk acceptă, de asemenea, sufixele KB (1000 octeți), MB (1000*1000 octeți), și așa mai departe pentru GB, TB, PB, EB, ZB și YB. Aceste sufixe 10^N sunt depreciate.

FIȘIERE SCRIPT

fdisk permite citirea (prin comanda "I") a fișierelor de script compatibile cu sfdisk(8). Scriptul este aplicat la tabelul de partiții din memorie, iar apoi este posibilă modificarea tabelului de partiții înainte de a-l scrie pe dispozitiv.

Și invers, este posibilă scrierea în fișierul de script a configurației actuale a discului din memorie prin comanda "O".

Fișierele de script sunt compatibile între cfdisk(8), sfdisk(8), fdisk și alte aplicații libfdisk. Pentru mai multe detalii, consultați sfdisk(8).

ETICHETE DE DISCURI

GPT (tabel de partiții GUID)
    GPT este un standard modern pentru structura tabelului de partiții. GPT utilizează adrese de bloc logice pe 64 de biți, sume de control, UUID-uri și nume pentru partiții și un număr nelimitat de partiții (deși numărul de partiții este de obicei limitat la 128 în multe instrumente de partiționare).

    Rețineți că primul sector este încă rezervat pentru un MBR de protecție în specificația GPT. Aceasta împiedică instrumentele de partiționare MBR să recunoască greșit și să suprascrie discurile GPT.

    GPT este întotdeauna o alegere mai bună decât MBR, în special pe echipamentele moderne cu un încărcător de pornire UEFI.

* Tip-DOS (MBR)*
    Un tabel de partiții de tip DOS poate descrie un număr nelimitat de partiții. În sectorul 0 există loc pentru descrierea a 4 partiții (numite „primare”). Una dintre acestea poate fi o partiție extinsă; aceasta este o cutie care conține partiții logice, cu descriptori care se găsesc într-o listă de sectoare corelate, fiecare precedând partițiile logice corespunzătoare. Cele patru partiții primare, prezente sau nu, primesc numerele 1-4. Partițiile logice sunt numerotate începând cu 5.

    Într-un tabel de partiții de tip DOS, poziția de pornire și dimensiunea fiecărei partiții sunt stocate în două moduri: ca număr absolut de sectoare (pe 32 de biți) și ca un triplu „Cylinders/Heads/Sectors” Cilindri/Capete/Sectoare (pe 10+8+6 biți). Prima variantă este în regulă - cu sectoare de 512 octeți, acest lucru va funcționa până la 2 To. Cea de-a doua variantă are două probleme. În primul rând, aceste câmpuri C/H/S pot fi completate numai atunci când se cunosc numărul de capete și numărul de sectoare pe pistă. Și în al doilea rând, chiar dacă știm care ar trebui să fie aceste numere, cei 24 de biți disponibili nu sunt suficienți. DOS folosește numai C/H/S, Windows le folosește pe amândouă, iar Linux nu folosește niciodată C/H/S. Adresarea C/H/S este depreciată și este posibil să nu mai fie suportată într-o versiune ulterioară de fdisk.

    Vă rugăm să citiți secțiunea despre modul DOS dacă doriți partiții compatibile cu DOS. fdisk nu se preocupă în mod implicit de limitele cilindrilor.

Tip-BSD/Sun
    O etichetă de disc BSD/Sun poate descrie 8 partiții, dintre care a treia ar trebui să fie o partiție de tip „whole disk” (întregul disc). Nu începeți o partiție care utilizează de fapt primul sector (cum ar fi o partiție de spațiu de interschimb „swap”) de la cilindrul 0, deoarece acest lucru va distruge eticheta discului. Rețineți că o etichetăBSD este de obicei imbricata într-o partiție DOS.

* Tip-IRIX/SGI*
    O etichetă de disc IRIX/SGI poate descrie 16 partiții, dintre care a unsprezecea ar trebui să fie o partiție întreagă de „volum”, în timp ce a noua ar trebui să fie etichetată ca „antet de volum”. Antetul volumului va acoperi, de asemenea, tabelul de partiții, adică începe de la blocul zero și se extinde în mod implicit pe cinci cilindri. Spațiul rămas în antetul volumului poate fi utilizat de intrările din directorul de antet. Nicio partiție nu se poate suprapune cu antetul volumului. De asemenea, nu schimbați tipul acestuia și nu faceți un sistem de fișiere pe el, deoarece veți pierde tabelul de partiții. Utilizați acest tip de etichetă numai atunci când lucrați cu Linux pe mașini IRIX/SGI sau cu discuri IRIX/SGI sub Linux.

    Un sync(2) și un ioctl(BLKRRPART) (recitirea tabelului de partiții de pe disc) sunt efectuate înainte de a ieși atunci când tabelul de partiții a fost actualizat.

AVERTISMENT MODUL DOS ȘI DOS 6.X

Rețineți că toate acestea sunt depreciate. Nu trebuie să vă pese de lucruri precum * geometria și cilindrii pe sistemele de operare moderne. Dacă doriți cu adevărat* partiționare compatibilă cu DOS, atunci trebuie să activați modul DOS și unitățile cilindri * folosind opțiunile din linia de comandă «fdisk -c=dos -u=cilindri».*

Comanda FORMAT din DOS 6.x caută anumite informații în primul sector al zonei de date a partiției și consideră aceste informații ca fiind mai fiabile decât cele din tabelul de partiții. DOS FORMAT se așteaptă ca DOS FDISK să șteargă primii 512 octeți din zona de date a unei partiții ori de câte ori are loc o schimbare de dimensiune. DOS FORMAT se va uita la aceste informații suplimentare chiar dacă se dă fanionul /U - considerăm că aceasta este o eroare în DOS FORMAT și DOS FDISK.

În concluzie, dacă folosiți fdisk sau cfdisk(8) pentru a modifica dimensiunea unei intrări în tabelul de partiții DOS, atunci trebuie să folosiți dd(1) pentru a pun la zero primii 512 octeți ai partiției respective înainte de a folosi DOS FORMAT pentru a formata partiția. De exemplu, dacă ați folosit fdisk pentru a crea o intrare în tabelul de partiții DOS pentru /dev/sda1, atunci (după ce ați ieșit din fdisk și ați repornit Linux pentru ca informațiile din tabelul de partiții să fie valabile) veți folosi comanda dd if=/dev/zero of=/dev/sda1 bs=512 count=1 pentru a reduce la zero primii 512 octeți ai partiției.

fdisk obține de obicei geometria discului în mod automat. Aceasta nu este neapărat geometria fizică a discului (într-adevăr, discurile moderne nu au nimic asemănător cu o geometrie fizică, cu siguranță nu ceva care să poată fi descris în forma simplistă Cilindri/Capete/Sectoare), dar este geometria discului pe care MS-DOS o folosește pentru tabelul de partiții.

De obicei, totul merge bine în mod implicit și nu există probleme dacă Linux este singurul sistem de pe disc. Cu toate acestea, dacă discul trebuie să fie partajat cu alte sisteme de operare, este adesea o idee bună să lăsați un fdisk de la un alt sistem de operare să facă cel puțin o partiție. Când Linux pornește, se uită la tabelul de partiții și încearcă să deducă ce geometrie (falsă) este necesară pentru o bună cooperare cu alte sisteme.

Ori de câte ori se afișează un tabel de partiții în modul DOS, se efectuează o verificare a coerenței intrărilor din tabelul de partiții. Acest control verifică dacă punctele de început și de sfârșit fizice și logice sunt identice și dacă fiecare partiție începe și se termină pe o limită de cilindru (cu excepția primei partiții).

Unele versiuni de MS-DOS creează o primă partiție care nu începe pe o limită de cilindru, ci pe sectorul 2 al primului cilindru. Partițiile care încep în cilindrul 1 nu pot începe pe o limită de cilindru, dar este puțin probabil ca acest lucru să cauzeze dificultăți, cu excepția cazului în care aveți OS/2 pe mașina dumneavoastră.

Pentru a obține cele mai bune rezultate, ar trebui să utilizați întotdeauna un program pentru tabele de partiții specific sistemului de operare. De exemplu, ar trebui să faceți partiții DOS cu programul DOS FDISK și partiții Linux cu programele Linux fdisk sau Linux cfdisk(8).

CULORI

Colorarea ieșirii este implementată de funcționalitatea terminal-colors.d(5). Colorarea implicită poate fi dezactivată printr-un fișier gol

    /etc/terminal-colors.d/fdisk.disable

pentru comanda fdisk sau pentru toate instrumentele (comenzile) prin

    /etc/terminal-colors.d/disable

Începând cu versiunea 2.41, variabila de mediu $NO_COLOR este, de asemenea, acceptată pentru a dezactiva colorarea ieșirii, cu excepția cazului în care este activată explicit printr-o opțiune din linia de comandă.

Configurația specifică utilizatorului $XDG_CONFIG_HOME/terminal-colors.d sau $HOME/.config/terminal-colors.d prevalează asupra celei globale.

Rețineți că colorarea ieșirii poate fi activată în mod implicit și, în acest caz, directoarele terminal-colors.d nu trebuie să existe încă.

Numele de culori logice acceptate de fdisk sunt:

header
    Antetul tabelelor de ieșire.

help-title
    Titlurile secțiunii de ajutor.

warn
    Mesajele de avertizare.

welcome
    Mesajul de bun venit.

MEDIU

FDISK_DEBUG=all
    activează ieșirea de depanare a fdisk.

LIBFDISK_DEBUG=all
    activează ieșirea de depanare a libfdisk.

LIBBLKID_DEBUG=all
    activează ieșirea de depanare a libblkid.

LIBSMARTCOLS_DEBUG=all
    activează ieșirea de depanare a libsmartcols.

LIBSMARTCOLS_DEBUG_PADDING=on
    utilizează caractere de umplutură vizibile.

LOCK_BLOCK_DEVICE=<mod>
    utilizează un blocaj BSD exclusiv. Modul este "1" sau "0". A se vedea --lock pentru mai multe detalii.

AUTORI

Versiunea originală a fost scrisă de Andries E. Brouwer, A. V. Le Blanc și alții.

CONSULTAȚI ȘI

cfdisk(8), mkfs(8), partx(8), sfdisk(8)

RAPORTAREA ERORILOR

Pentru rapoarte de eroare, folosiți

DISPONIBILITATE

Comanda fdisk face parte din pachetul util-linux care poate fi descărcat de la